package model
{
	import utils.Constant;
	import utils.StringUtils;
	
	public class AcronymDetailReferenceModel
	{
		public var ref : String;
		public var by : String = '';
		public var nameRef : String;
		public var title : String;
		public var tables : String='';
		
		public function AcronymDetailReferenceModel(acronymReferenceModel:AcronymReferenceModel)
		{
			if(acronymReferenceModel.b=='-') this.ref = '';
			else 
			{
				var htmlChars : String = StringUtils.textToHtml(acronymReferenceModel.b);
				this.ref = "=<a href='"+Constant.LINK_FIND_REF+htmlChars+"' target='_blank'><u><font color='#0101ee'>"+acronymReferenceModel.b+"</font></u></a>";
			}
			
			for each(var author:String in acronymReferenceModel.a)
			{
				this.by += author + '\n';
			}
			
			this.nameRef = acronymReferenceModel.ref;
			this.title = StringUtils.replaceAll(acronymReferenceModel.title, StringUtils.SBL_INF_TXT, StringUtils.SBL_INF_HTML);
			
			for each(var table:String in acronymReferenceModel.simCom)
			{
				this.tables += StringUtils.replaceAll(table, StringUtils.SBL_INF_TXT, StringUtils.SBL_INF_HTML) + '\n';
			}
		}
		
		
		public static function addReference(listObjects:Array) : Array
		{
			listObjects.push('ref');
			listObjects.push('by');
			listObjects.push('nameRef');
			listObjects.push('title');
			listObjects.push('tables');
			
			return listObjects;
		}
		
		public static function getNumberOfLineComposingRef() : int
		{
			return 5;
		}

	}
}