package model
{
	import mx.collections.ArrayCollection;
	
	import utils.Constant;
	
	
	[Bindable] public class AcronymModelExtended extends AcronymModel
	{
		public static const SELECTED : String = "selected";
		public static const NAME : String = "name";
		public static const USE_NAME : String = "useName";
		public static const FORMAT_FOR_DATAGRID : String = "formatForDatagrid";
		public static const FIRST_AUTHOR : String = "firstAuthor";
		public static const OBJECT_TYPE : String = "object";
		public static const YEAR : String = "year";
		public static const EXPLANATION : String = "explanation";
		public static const LABEL_ACRONYM : String = "Acronym";
		public static const LABEL_USE : String = "Use";
		public static const LABEL_FORMAT : String = "Format";
		public static const LABEL_YEAR : String = "Year";
		public static const LABEL_EXPLANATION : String = "Explanation";
		public static const LABEL_FIRST_AUTHOR : String = "First author";
		public static const LABEL_OBJECT_TYPE : String = "Object type";
		
		
		public var selected : Boolean;
		public var firstAuthor : String;
		public var format : ArrayCollection;
		public var year : String;
		public var explanation : String;
		public var formatForDatagrid : String;
		public var acronymUrl : String;
		private var tooltipInfos : String;
		 
		
		public function AcronymModelExtended(acronymModel:AcronymModel, firstAuthor:String, year:String, explanation:String, format:ArrayCollection, selected:Boolean=false)
		{
			super(	acronymModel.id,
					acronymModel.name,
					acronymModel.date,
					(acronymModel.useName=='' || acronymModel.useName==null) ? Constant.SYMBOL_NOT_EMPTY : acronymModel.useName,
					acronymModel.simbad,
					acronymModel.meaning,
					(acronymModel.object=='' || acronymModel.object==null) ? Constant.SYMBOL_NOT_EMPTY : acronymModel.object,
					acronymModel.oType,
					acronymModel.references,
					acronymModel.remark,
					acronymModel.inSource,
					acronymModel.stat,
					acronymModel.origin,
					acronymModel.eformat					
				);
			//(firstAuthor==null || firstAuthor=='') ? this.firstAuthor=Constant.SYMBOL_NOT_EMPTY : this.firstAuthor = firstAuthor;
			
			this.firstAuthor = firstAuthor;
			this.year = year;
			this.explanation = explanation;
			this.format = format;
			this.selected = selected;
			
			this.formatForDatagrid = '';
			createFormatForDatagrid();
			if(this.formatForDatagrid == '') this.formatForDatagrid = Constant.SYMBOL_NOT_EMPTY;
			
			this.acronymUrl = Constant.LINK_FIND_ACRO + this.id;
		}
		
		
		public function getAcronymModel() : AcronymModel
		{
			return (new AcronymModel(
								this.id,
								this.name,
								this.date,
								this.useName,
								this.simbad,
								this.meaning,
								this.object,
								this.oType,
								this.references,
								this.remark,
								this.inSource,
								this.stat,
								this.origin,
								this.eformat)
					);
		}
		
		
		public function setTooltipInfos(tooltipInfos : String) : void
		{
			this.tooltipInfos = tooltipInfos;
		}
		
		public function getTooltipInfos() : String
		{
			return this.tooltipInfos;
		}
		
		private function createFormatForDatagrid() : void
		{
			for each(var formatS:String in this.format)
			{
				this.formatForDatagrid += formatS +'\n';
			}
		}
		
		
	 	public function isEqual(acronymModelExtended:AcronymModelExtended) : Boolean
	 	{
	 		var equal : Boolean = false;
	 		
	 		if(this.name == acronymModelExtended.name
	 		   && this.date == acronymModelExtended.date
	 		   && this.useName == acronymModelExtended.useName
	 		   && this.simbad == acronymModelExtended.simbad
	 		   && this.object == acronymModelExtended.object
	 		   && this.oType == acronymModelExtended.oType
	 		   && this.remark == acronymModelExtended.remark
	 		   && this.inSource == acronymModelExtended.inSource
	 		   && this.stat == acronymModelExtended.stat) 
	 		   equal = true;
	 		
	 		return equal;
	 	}

	}
}