package renderers
{
	import events.BasicItemEvent;
	
	import extenders.AcronymTooltip;
	
	import flash.events.MouseEvent;
	import flash.net.URLRequest;
	import flash.net.navigateToURL;
	
	import model.AcronymModelExtended;
	
	import mx.containers.HBox;
	import mx.controls.Label;
	import mx.events.ToolTipEvent;
	import mx.managers.ToolTipManager;
	
	public class LinkItemRenderer extends HBox
	{
			
		public function LinkItemRenderer()
		{
			this.setStyle("borderStyle", "none");
			this.verticalScrollPolicy = 'off';
			this.horizontalScrollPolicy = 'off';
		}
		
		public function link(event:MouseEvent) : void
		{
			var url:URLRequest = new URLRequest((data as AcronymModelExtended).acronymUrl);
        	navigateToURL(url, '_blank'); 	
		}
		

		override public function set data(value:Object) : void
		{
			if(value != null)
			{
				super.data = value;
				this.addEventListener(MouseEvent.MOUSE_DOWN, eventDispatcher);
				
				removeAllChildren();
				var label:Label = new Label();
				label.htmlText = "<u><font color='#0101ee'>"+(data as AcronymModelExtended).name+"</u></font>";
				label.useHandCursor = true;
				label.mouseChildren = false;
				label.buttonMode = true;
			
				label.addEventListener(MouseEvent.CLICK, link);
				this.addChild(label);
				
				this.toolTip = (data as AcronymModelExtended).getTooltipInfos();
				ToolTipManager.showDelay = 2000;
				ToolTipManager.scrubDelay = 1;
				ToolTipManager.hideDelay = undefined;
				
				//on crée un tooltip un peu plus poussé
				this.addEventListener(ToolTipEvent.TOOL_TIP_CREATE, AcronymTooltip.createSimpleTooltip);
				this.addEventListener(ToolTipEvent.TOOL_TIP_SHOWN, AcronymTooltip.positionSimpleTooltip);
			}
		}
		
		private function eventDispatcher(event:MouseEvent) : void
		{
			var e:BasicItemEvent = new BasicItemEvent(BasicItemEvent.ITEM_DOWN, true, true);
			dispatchEvent(e);	
		}
	}
	
}